local M = require("lualine.fschauen.component"):extend()

function M:init(opts)
  opts.color = opts.color or { fg = "#ffffff" } -- alternative: '#f9f5d7'
  M.super.init(self, opts)
end

function M:update_status(--[[is_focused]]_)
  local status = ""
  if vim.bo.modified then status = status .. "" end
  if vim.bo.readonly or not vim.bo.modifiable then status = status .. "" end
  return status
end

return M
