local icon = require("fschauen.util.icons").ui.Lint

return {
  "mfussenegger/nvim-lint",

  keys = {
    {
      "<leader>L",
      function() require("lint").try_lint() end,
      desc = icon .. " [L]int file",
    },
  },

  config = function()
    require("lint").linters_by_ft = {
      markdown = { "markdownlint" },
      sh = { "shellcheck" },
    }
  end,
}
